#include <bits/stdc++.h>

using namespace std;



#define MAX_N 1000000


	
int n;


	
int r[MAX_N];
int k[MAX_N];



int koraci = 0;

void zameni ( int i, int j )
{
	int t;

	t     = k[i];
	k[i]  = k[j];
	k[j]  = t;
				
	t     = r[i];
	r[i]  = r[j];
	r[j]  = t;
}

int slobodna_kolona ( int kolona )
{
	for ( int zlatnik = 1 ; zlatnik <= n ; zlatnik++ )
		if ( k[ zlatnik ] == kolona )
			return 0;
			
	return 1;
}

void sortiraj_po_kolonama()
{
	for ( int i = 1 ; i < n ; i++ )
		for ( int j = i + 1 ; j <= n ; j++ )
			if ( k[j] < k[i] )
				zameni ( i, j );
}

void sortiraj_po_redovima()
{
	for ( int i = 1 ; i < n ; i++ )
		for ( int j = i + 1 ; j <= n ; j++ )
			if ( r[j] < r[i] )
				zameni ( i, j );
}

int ucitaj_podatke()
{
	cin >> n;
	
	for (int i = 1 ; i <= n ; i++)
	{
		cin >> r[ i ];
		cin >> k[ i ];
	}
}

void rasporedi_po_kolonama()
{
	int zlatnik;
	
	for ( zlatnik = 1 ; zlatnik <= n ; zlatnik++ )
	{
		koraci += abs ( k[zlatnik] - zlatnik );
		
		k[zlatnik] = zlatnik;
	}
}

void rasporedi_po_redovima()
{
	int zlatnik;
	
	for ( zlatnik = 1 ; zlatnik <= n ; zlatnik++ )
	{
		koraci += abs ( r[zlatnik] - zlatnik );
		r[zlatnik] = zlatnik;
	}
}

int main(int argc, char** argv)
{
	ucitaj_podatke();
	sortiraj_po_kolonama();
	rasporedi_po_kolonama();
	sortiraj_po_redovima();
    rasporedi_po_redovima();

	cout << koraci;
}